ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013851ClearOSapp-network - Network Settingspublic2017-03-20 20:292017-05-10 09:23
Reporterbchambers 
Assigned Topbaldwin 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.3.1 UpdatesFixed in Version7.3.1 
Summary0013851: Webconfig API can't read upstream_proxy.conf
DescriptionPermissions are root.root 600 and the API requires change (2 instances) from:

$file = new File(self::FILE_CONFIG);
to
$file = new File(self::FILE_CONFIG,
 TRUE);

To allow Webconfig to read/write to the file.

Taken from forum:

https://www.clearos.com/clearfoundation/social/community/undefined-error-in-system-log [^]
TagsNo tags attached.
Attached Files

- Relationships
related to 0014451closedpbaldwin Avoid sudo calls from clearconsole 
related to 0013961closedpbaldwin Undo temporary upstream_proxy.conf workaround 

-  Notes
(0005161)
pbaldwin (administrator)
2017-03-20 21:09

That flag shouldn't be necessary these days. Most of the methods in the File API auto-detect when sudo is necessary.
(0005171)
pbaldwin (administrator)
2017-03-20 21:14

Oh... I know the issue. It's probably related to a dirty last minute workaround to avoid changes in the Shell class. It could also be a circular dependency issue that we wanted to avoid. I'll investigate.

This last minute upstream proxy feature has been a (comment deleted).
(0005191)
pbaldwin (administrator)
2017-03-21 10:00

Certain network API calls need to be fast and/or are called a *lot* (e.g. Ajax live pages, console displaying current IP, etc.). We need to avoid sudoers overhead, hence some workarounds.

For now, I will set the upstream_proxy.conf file to less strict file permissions and address the Network API performance in tracker 0013951

Note: "Upstream Proxy" is beta and not even usable at the moment, so I'm not concerned about the temporary file permissions. I also noticed that the feature is not only not flagged as beta, but also missing from the ClearOS documentation.

- Issue History
Date Modified Username Field Change
2017-03-20 20:29 bchambers New Issue
2017-03-20 20:29 bchambers Status new => assigned
2017-03-20 20:29 bchambers Assigned To => bchambers
2017-03-20 21:09 pbaldwin Note Added: 0005161
2017-03-20 21:14 pbaldwin Note Added: 0005171
2017-03-20 21:14 pbaldwin Assigned To bchambers => pbaldwin
2017-03-21 09:46 pbaldwin Category app-network - Network Settings => app-base - Base System
2017-03-21 10:00 pbaldwin Note Added: 0005191
2017-03-21 10:03 pbaldwin Category app-base - Base System => app-network - Network Settings
2017-03-21 10:04 pbaldwin Issue cloned: 0013961
2017-03-21 10:04 pbaldwin Relationship added related to 0013961
2017-05-01 09:49 pbaldwin Relationship added related to 0014451
2017-05-01 09:58 pbaldwin Status assigned => resolved
2017-05-01 09:58 pbaldwin Fixed in Version => 7.3.1
2017-05-01 09:58 pbaldwin Resolution open => fixed
2017-05-10 09:23 pbaldwin Status resolved => closed